
#!/bin/bash
# Copyright 2007 Nabla.
# Distributed under the terms of the GNU General Public License v2
#

# prevent file globbing
set -f

function to_html()
{
	local s="$@"
	s=${s//&/&amp;}
	s=${s//\'/&apos;}
	s=${s//\"/&quot;}
	s=${s//</&lt;}
	s=${s//>/&gt;}
	echo $s
}

DOC_ID=`to_html $HYLAFAX_DocID`
JOB_ID=`to_html $HYLAFAX_JobID`
TITLE=`to_html $HYLAFAX_Title`
COMPANY=`to_html $HYLAFAX_ToCompany`
CONTACT=`to_html $HYLAFAX_ToContact`
SUBJECT=`to_html $HYLAFAX_Subject`
COMMENTS=`to_html $HYLAFAX_Comments`

cat << __HYLAFAX_HTML_EOF__
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Send Fax Wizard - Cover Page</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link rel="stylesheet" type="text/css" href="/hylafax/templates/wiz.css" />
		<script type="text/javascript">
			var bFormInUse = false;
			function setInitialFocus()
			{
				if (!bFormInUse) {
					document.myForm.ToCompany.focus();
				}
			}
			function ctrlOnFocus()
			{
				bFormInUse = true;
			}
		</script>
	</head>
	<body onLoad="setInitialFocus()">
		<table>
			<tr><td>
				<table class="caption">
					<tr valign="center">
						<td valign="center">
							<h1 class="caption">Send Fax Wizard</h1>
						</td>
						<td align="left" valign="center">
							<img src="/hylafax/images/fax.gif" align="right">
						</td>
					</tr>
				</table>
                <hr>
			</td></tr>
			<tr><td>
                <table>
                    <tr>
                        <td><p class="doc_info_label">Job ID</p></td>
                        <td><p class="doc_info_data">$JOB_ID</p></td>
                    </tr>
                    <tr>
                        <td><p class="doc_info_label">Document:</p></td>
                        <td><p class="doc_info_data">$TITLE</p></td>
                    </tr>
                </table>
				<hr>
			</td></tr>
			<tr><td>
				<form name="myForm" action="/cgi-bin/wiz_finish.sh" method="post">
					<input type="hidden" name="DocID" value="$DOC_ID">
					<input type="hidden" name="ValidateForm" value="1">
					<h3 class="caption">Preparing the cover page</h3>
					<p>Type the following information including a few lines of comments. This information is automatically added to the cover page.</p>
					<table cellpadding="2">
						<tr>
							<td><label for="ToCompany">Company name:</label></td>
							<td><input type="text" maxlength="60" size="30" name="ToCompany" id="ToCompany" value="$COMPANY" onFocus="ctrlOnFocus()" tabindex="1"></td>
						</tr>
						<tr>
							<td><label for="ToContact">Contact name:</label></td>
							<td><input type="text" maxlength="60" size="30" name="ToContact" id="ToContact" value="$CONTACT" onFocus="ctrlOnFocus()" tabindex="2"></td>
						</tr>
						<tr>
							<td><label for="Subject">Subject line:</label></td>
							<td></td>
						</tr>
						<tr>
							<td colspan="2"><input type="text" maxlength="100" size="60" name="Subject" id="Subject" value="$SUBJECT" onFocus="ctrlOnFocus()" tabindex="3"></td>
						</tr>
						<tr>
							<td><label for="Comments">Comments:</label></td>
							<td></td>
						</tr>
						<tr>
							<td colspan="2"><textarea cols="60" rows="5" name="Comments" id="Comments" onFocus="ctrlOnFocus()" tabindex="4">`echo -e "$COMMENTS"`</textarea></td>
						</tr>
					</table>
                    <hr>
					<table width="100%">
						<tr>
							<td align="center">
								<input value="Previous" type="button" onClick="window.location='/cgi-bin/wiz_recipient.sh?DocID=$DOC_ID'" tabindex="5">
							</td>
							<td align="center">
								<input value="Next" type="submit" tabindex="6">
							</td>
							<td align="center">
								<input value="Cancel" type="button" onClick="window.location='/cgi-bin/wiz_cancel.sh?DocID=$DOC_ID'" tabindex="7">
							</td>
						</tr>
					</table>
				</form>
			</td></tr>
		</table>
	</body>
</html>
__HYLAFAX_HTML_EOF__
