#!/bin/bash
# Copyright 2007 Nabla.
# Distributed under the terms of the GNU General Public License v2
#

# prevent file globbing
set -f

function to_html()
{
	local s="$@"
	s=${s//&/&amp;}
	s=${s//\'/&apos;}
	s=${s//\"/&quot;}
	s=${s//</&lt;}
	s=${s//>/&gt;}
	echo $s
}

DOC_ID=`to_html $HYLAFAX_DocID`
JOB_ID=`to_html $HYLAFAX_JobID`
TITLE=`to_html $HYLAFAX_Title`
if [ "$HYLAFAX_NotifySuccess" -eq 1 ]; then
	NOTIFY_SUCCESS="checked"
fi
if [ "$HYLAFAX_UseCoverPage" -eq 1 ]; then
	USE_COVER_PAGE="checked"
fi

cat << __HYLAFAX_HTML_EOF__
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Send Fax Wizard - General</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link rel="stylesheet" type="text/css" href="/hylafax/templates/wiz.css" />
	</head>
	<body>
		<table>
			<tr><td>
				<table class="caption">
					<tr valign="center">
						<td valign="center">
							<h1 class="caption">Send Fax Wizard</h1>
						</td>
						<td align="left" valign="center">
							<img src="/hylafax/images/fax.gif" align="right">
						</td>
					</tr>
				</table>
                <hr>
			</td></tr>
			<tr><td>
                <table>
                    <tr>
                        <td><p class="doc_info_label">Job ID</p></td>
                        <td><p class="doc_info_data">$JOB_ID</p></td>
                    </tr>
                    <tr>
                        <td><p class="doc_info_label">Document:</p></td>
                        <td><p class="doc_info_data">$TITLE</p></td>
                    </tr>
                </table>
				<hr>
			</td></tr>
			<tr><td>
				<form action="/cgi-bin/wiz_recipient.sh" method="post">
					<input type="hidden" name="DocID" value="$DOC_ID">
					<input type="hidden" name="ValidateForm" value="1">
					<h3 class="caption">General settings</h3>
					<p><label><input type="checkbox" name="NotifySuccess" $NOTIFY_SUCCESS tabindex="1">Notify by email on success. Otherwise you will only be notified on failure.</label></p>
					<p><label><input type="checkbox" name="UseCoverPage" $USE_COVER_PAGE tabindex="2">Use cover page.</label></p>
                    <hr>
					<table width="100%">
						<tr>
							<td align="center">
								<input value="Previous" type="button" onClick="window.location='/cgi-bin/wiz_welcome.sh?DocID=$DOC_ID'" tabindex="3">
							</td>
							<td align="center">
								<input value="Next" type="submit" tabindex="4">
							</td>
							<td align="center">
								<input value="Cancel" type="button" onClick="window.location='/cgi-bin/wiz_cancel.sh?DocID=$DOC_ID'" tabindex="5">
							</td>
						</tr>
					</table>
				</form>
			</td></tr>
		</table>
	</body>
</html>
__HYLAFAX_HTML_EOF__
