#!/bin/bash
# Copyright 2007 Nabla.
# Distributed under the terms of the GNU General Public License v2
#

# prevent file globbing
set -f

function to_html()
{
	local s="$@"
	s=${s//&/&amp;}
	s=${s//\'/&apos;}
	s=${s//\"/&quot;}
	s=${s//</&lt;}
	s=${s//>/&gt;}
	echo $s
}

JOB_ID=`to_html $HYLAFAX_JobID`
TITLE=`to_html $HYLAFAX_Title`

cat << __HYLAFAX_HTML_EOF__
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Send Fax Wizard - Sent</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link rel="stylesheet" type="text/css" href="/hylafax/templates/wiz.css" />
	</head>
	<body>
		<table>
			<tr><td>
				<table class="caption">
					<tr valign="center">
						<td valign="center">
							<h1 class="caption">Send Fax Wizard</h1>
						</td>
						<td align="left" valign="center">
							<img src="/hylafax/images/fax.gif" align="right">
						</td>
					</tr>
				</table>
                		<hr>
			</td></tr>
			<tr><td>
                <table>
                    <tr>
                        <td><p class="doc_info_label">Job ID</p></td>
                        <td><p class="doc_info_data">$JOB_ID</p></td>
                    </tr>
                    <tr>
                        <td><p class="doc_info_label">Document:</p></td>
                        <td><p class="doc_info_data">$TITLE</p></td>
                    </tr>
                </table>
				<hr>
			</td></tr>
			<tr><td>
				<p><img src="/icons/info16x16.png" hspace="10">Your fax is being sent. You will receive an email to confirm the success or failure of the operation (if you selected this option).</p>
			</td></tr>
		</table>
	</body>
</html>
__HYLAFAX_HTML_EOF__
