#!/bin/bash

# prevent file globbing
set -f

function to_html()
{
	local s="$@"
	s=${s//&/&amp;}
	s=${s//\'/&apos;}
	s=${s//\"/&quot;}
	s=${s//</&lt;}
	s=${s//>/&gt;}
	echo $s
}

DOC_ID=`to_html $HYLAFAX_DocID`
JOB_ID=`to_html $HYLAFAX_JobID`
TITLE=`to_html $HYLAFAX_Title`

cat << __HYLAFAX_HTML_EOF__
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Send Fax Wizard - Welcome</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link rel="stylesheet" type="text/css" href="/hylafax/templates/wiz.css" />
	</head>
	<body>
		<table>
			<tr><td>
				<table class="caption">
					<tr valign="center">
						<td valign="center">
							<h1 class="caption">Send Fax Wizard</h1>
						</td>
						<td align="left" valign="center">
							<img alt="" src="/hylafax/images/fax.gif" align="right">
						</td>
					</tr>
				</table>
                <hr>
			</td></tr>
			<tr><td>
				<table>
					<tr>
						<td><p class="doc_info_label">Job ID</p></td>
						<td><p class="doc_info_data">$JOB_ID</p></td>
					</tr>
					<tr>
						<td><p class="doc_info_label">Document:</p></td>
						<td><p class="doc_info_data">$TITLE</p></td>
					</tr>
				</table>
				<hr>
				<h3 class="caption">Welcome to the Send Fax Wizard</h3>
				<p>This wizard helps you create and send a fax.</p>
				<p>To continue, click Next.<br>
				To cancel the whole operation at any time, click Cancel.</p>
			</td></tr>
			<tr><td>
				<form>
					<hr>
					<table width="100%">
						<tr>
							<td align="center">
								<input value="Next" type="button" onclick="window.location='/cgi-bin/wiz_general.sh?DocID=$DOC_ID'" tabindex="1">
							</td>
							<td align="center">
								<input value="Cancel" type="button" onclick="window.location='/cgi-bin/wiz_cancel.sh?DocID=$DOC_ID'" tabindex="2">
							</td>
						</tr>
					</table>
				</form>
			</td></tr>
		</table>
	</body>
</html>
__HYLAFAX_HTML_EOF__
